Create Channel Account

Prev Next
Post
/v1/channel-accounts

Create a new Channel Account for a specific Control Account.

Limitations: Only users with specific permissions can use this endpoint.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Body parameters
minimal

Required fields only

{
  "name": "New Channel Account",
  "contactEmail": "contact@example.com"
}
full

All fields

{
  "controlAccountId": "12345",
  "name": "New Channel Account",
  "contactEmail": "contact@example.com",
  "purchasedStorage": "3",
  "storageQuotaType": "Soft quota"
}
object
controlAccountId
integer

Required for Distributor/Governance users. Optional for Control Account users (defaults to own account).

name
string Required

Channel Account name. Cannot start with a space.

Min length3
Max length100
contactEmail
string (email) Required

Contact email address

purchasedStorage
number

Storage quota in TB

storageQuotaType
string

Storage quota type

Valid values[ "Soft quota", "Hard quota" ]
Default"Soft quota"
Responses
200

Successfully created the Channel Account

{
  "success": "True",
  "code": "RES-I-0051",
  "message": "Channel Account has been successfully created!",
  "data": {
    "id": "54536",
    "name": "New Channel Account",
    "controlAccountId": "43800",
    "controlAccountName": "Control Account Name",
    "governanceAccountName": "Governance Account Name",
    "governanceAccountId": "44023",
    "purchasedStorage": "3",
    "subAccountDefaultStorageQuotaType": "Soft quota",
    "storageQuotaType": "Soft quota",
    "subAccountStorage": "0",
    "billableActiveStorage": "0",
    "billableDeletedStorage": "0",
    "subAccountsCount": "0",
    "status": "Active",
    "creationDate": "2024-08-05T14:47:14.048Z",
    "contactEmail": "contact@example.com",
    "deleted": "False"
  }
}
Expand All
object
success
boolean
code
string
message
string
data
object (ChannelAccountResponse)
id
integer
name
string
controlAccountId
integer
controlAccountName
string
governanceAccountId
integer
governanceAccountName
string
purchasedStorage
number
subAccountDefaultPurchasedStorage
number
subAccountDefaultStorageQuotaType
string
storageQuotaType
string
subAccountStorage
number
billableActiveStorage
number
billableDeletedStorage
number
subAccountsCount
integer
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
deleted
boolean